Subject: Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

From: Mattias Engdegård <[email-masked]>
Date: Mon, 21 Sep 2020 19:12:40 +0200

21 sep. 2020 kl. 16.47 skrev Lars Ingebrigtsen <[email-masked]>:

> Beeping at me without telling me why is confusing, I think.

Well, better than beeping while lying to you I'd say...

> The current message is "Containing expression ends prematurely", which
> isn't...  perfect...  but it tells us that it tried to read an
> expression but failed, because it reached something that ended the
> expression before ... it should?  

Well put -- you and I, and everyone else friendly with the internal workings, have to make the effort to stop thinking like Emacs and put ourselves in the shoes of the User (who doesn't give two hoots for what happens inside the machine).

> Uhm...  No, I have no good suggestions, but these new messages aren't
> really any clearer than the old one.

Here is a long shot. If we think that "End of buffer" is a good message (I don't really) then what about

 "End of expression"
 "End of subexpressions"

The standard procedure for a designer who has trouble formulating a response to the user is to rework the operation so that the response isn't needed, but we can't really do that. Another strategy is considering whether a response is necessary at all.